#include "GCMotion.h"
#include "string.h"
using namespace System;
using namespace System::Windows::Forms;

/*****************************************************************
* Function Name : 指令返回值
* Description   : 返回错误值 rtn
* Date			: 2022年8月3日
* Auther		: LWH
******************************************************************/
short gc_rtn_error(short rtn)
{
	if (rtn != RTN_CMD_SUCCESS) {
		return rtn;		// 指令执行错误
	}
}

/*****************************************************************
* Function Name : 龙门功能例程
* Description   : 略
* Date			: 2022年8月3日
* Auther		: LWH
******************************************************************/
short gc_example(void)
{
	short rtn;					// 指令返回值
	short devNum;				// 设备序号，从0开始
	short axisNum;				// 轴号，从0开始
	HAND devHandle;				// 设备句柄
	HAND axisHandle[2];			// 轴句柄
	HAND crdHandle;				// 坐标系句柄
	rtn = NMC_DevOpen(devNum, &devHandle);				//打开控制器
	gc_rtn_error(rtn);
	for (short i = 0; i < 2;i++) {
		rtn = NMC_MtOpen(devHandle, axisNum, &axisHandle[i]);	//打开轴,并获得轴句柄
		gc_rtn_error(rtn);
		rtn = NMC_MtSetSvOn(axisHandle[i]);					//打开轴使能(根据实际情况使用)
		gc_rtn_error(rtn);
	}
	rtn = NMC_SetGantryMaster(axisHandle[0], 0);//设置龙门主轴,组号为0
	gc_rtn_error(rtn);
	rtn = NMC_SetGantrySlave(axisHandle[1], 0, 2000);//设置龙门组的从轴，允许误差为2000脉冲
	gc_rtn_error(rtn);
	return 0;
}
